JUCE: PhysicalTopologySource Class Reference

JUCE

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
PhysicalTopologySource Class Reference

This topology source manages the topology of the physical Blocks devices that are currently connected. More...

Inheritance diagram for PhysicalTopologySource:

## Classes
struct | DeviceConnection
| For custom transport systems, this represents a connected device. More...
struct | DeviceDetector
| For custom transport systems, this represents a connected device. More...

## Public Member Functions
| PhysicalTopologySource (bool startDetached=false)
| Constructor. More...
| ~PhysicalTopologySource () override
| Destructor. More...
BlockTopology | getCurrentTopology () const override
| Returns the current physical topology. More...
void | cancelAllActiveTouches () noexcept override
| Reset all touches. More...
void | setActive (bool shouldBeActive) override
| Sets the TopologySource as active, occupying the midi port and trying to connect to the block devices. More...
bool | isActive () const override
| Returns true, if the TopologySource is currently trying to connect the block devices. More...
bool | isLockedFromOutside () const
| This method will tell, if an other PhysicalTopologySource has locked the Midi connection. More...
| PhysicalTopologySource (DeviceDetector &detectorToUse, bool startDetached=false)
| Constructor for custom transport systems. More...
Public Member Functions inherited from TopologySource
virtual | ~TopologySource ()=default
| Destructor. More...
void | addListener (Listener *l)
void | removeListener (Listener *l)

## Static Public Member Functions
static const char *const * | getStandardLittleFootFunctions () noexcept

## Protected Member Functions
virtual bool | hasOwnServiceTimer () const
virtual void | handleTimerTick ()

## Additional Inherited Members
Protected Attributes inherited from TopologySource
ListenerList< Listener > | listeners

## Detailed Description

This topology source manages the topology of the physical Blocks devices that are currently connected.

It maintains a list of them and tells listeners when physical devices are added or removed.

## Constructor & Destructor Documentation

## ◆ PhysicalTopologySource() [1/2]

PhysicalTopologySource::PhysicalTopologySource | ( | bool | startDetached = `false` | ) |

Constructor.

## ◆ ~PhysicalTopologySource()

PhysicalTopologySource::~PhysicalTopologySource | ( |  | ) |
| override

Destructor.

## ◆ PhysicalTopologySource() [2/2]

PhysicalTopologySource::PhysicalTopologySource | ( | DeviceDetector & | detectorToUse,
|  | bool | startDetached = `false`
| ) |  |

Constructor for custom transport systems.

## Member Function Documentation

## ◆ getCurrentTopology()

BlockTopology PhysicalTopologySource::getCurrentTopology | ( |  | ) | const
| overridevirtual

Returns the current physical topology.

Implements TopologySource.

## ◆ cancelAllActiveTouches()

void PhysicalTopologySource::cancelAllActiveTouches | ( |  | ) |
| overridevirtualnoexcept

Reset all touches.

Reimplemented from TopologySource.

## ◆ setActive()

void PhysicalTopologySource::setActive | ( | bool | shouldBeActive | ) |
| overridevirtual

Sets the TopologySource as active, occupying the midi port and trying to connect to the block devices.

Implements TopologySource.

## ◆ isActive()

bool PhysicalTopologySource::isActive | ( |  | ) | const
| overridevirtual

Returns true, if the TopologySource is currently trying to connect the block devices.

Implements TopologySource.

## ◆ isLockedFromOutside()

bool PhysicalTopologySource::isLockedFromOutside | ( |  | ) | const

This method will tell, if an other PhysicalTopologySource has locked the Midi connection.

## ◆ getStandardLittleFootFunctions()

static const char* const* PhysicalTopologySource::getStandardLittleFootFunctions | ( |  | ) |
| staticnoexcept

## ◆ hasOwnServiceTimer()

virtual bool PhysicalTopologySource::hasOwnServiceTimer | ( |  | ) | const
| protectedvirtual

## ◆ handleTimerTick()

virtual void PhysicalTopologySource::handleTimerTick | ( |  | ) |
| protectedvirtual

The documentation for this class was generated from the following file:

- juce_PhysicalTopologySource.h